#include "KinectNITESourcePluginFactory.h"
#include "KinectNITESourcePlugin.h"

#include <QtPlugin>

KinectNITESourcePluginFactory::KinectNITESourcePluginFactory()
{
}

KinectNITESourcePluginFactory::~KinectNITESourcePluginFactory()
{
}

ritk::SourcePlugin*
KinectNITESourcePluginFactory::CreateInstance()
{
	return new KinectNITESourcePlugin();
}

QString
KinectNITESourcePluginFactory::GetName()
{
	return tr("KinectNITE");
}

QString
KinectNITESourcePluginFactory::GetDescription()
{
	return tr("Kinect source using OpenNI/NITE");
}


Q_EXPORT_PLUGIN2(KinectNITESource, KinectNITESourcePluginFactory)
